Skip to main content
POST
Confirm Upload

Authorizations

Authorization
string
header
required

Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.

Path Parameters

attachment_id
string<uuid>
required

The ID of the attachment to confirm

Response

Successful Response

An attachment with a temporary download URL; url and url_expires_at are null until the upload is confirmed.

id
string<uuid>
required

Resource identifier

user_id
string<uuid> | null
required

User who uploaded. None if deleted.

filename
string
required

Original filename

mime_type
string
required

MIME type of the file

size_bytes
integer
required

File size in bytes

uploaded
boolean
required

Whether the file has been uploaded

created
string<date-time>
required

Created timestamp

updated
string<date-time>
required

Updated timestamp

url
string | null

Temporary download URL

url_expires_at
string<date-time> | null

When the URL expires